### A free/open-source library for quantitative finance

Classes
ql/pricingengines/asian/mc_discr_arith_av_strike.hpp File Reference

Monte Carlo engine for discrete arithmetic average-strike Asian. More...

`#include <ql/pricingengines/asian/mcdiscreteasianengine.hpp>`
`#include <ql/exercise.hpp>`
Include dependency graph for mc_discr_arith_av_strike.hpp:

## Classes

class | MCDiscreteArithmeticASEngine< RNG, S >
| Monte Carlo pricing engine for discrete arithmetic average-strike Asian. More...

## Detailed Description

Monte Carlo engine for discrete arithmetic average-strike Asian.